function load() {

	//classes
	function Brick(game) { //brick class
		this.width=0.6;
		this.height=0.1;
		this.depth=0.1;
		this.mesh = new THREE.Mesh(
			new THREE.CubeGeometry(this.width, this.height, 0.1),
			new THREE.MeshLambertMaterial({
				color: 0x1155FF
			})
		
			);
		this.mesh.castShadow = true;

		this.add=function() {
			game.scene.add(this.mesh);
		}
		this.remove=function() {
			game.scene.remove(this.mesh);
		}

		this.place=function place(x, y) {
			this.mesh.position.x = x;
			this.mesh.position.y = y;
		}
	}
	
	function inRectangle(x,y,xCent,yCent,width,height) {
		//Rectangle is defined by center point and height/width
		var right=xCent+width/2;
		var left=xCent-width/2;
		var top=yCent+height/2
		var bottom=yCent-height/2
		if(x>=left && x<=right && y<=top && y>=bottom){ return true;}
		else{ return false;}
		
	}
	
	function Ball(game) { //ball class
		this.mesh = new THREE.Mesh(
			new THREE.SphereGeometry(
				0.1,
				15,
				15),
			new THREE.MeshPhongMaterial({
				color: 0x225511,
				shininess: 90
			}));
		game.scene.add(this.mesh)
		this.position=this.mesh.position;
		this.position.x=this.mesh.position.x;
		
		this.position.y=this.mesh.position.y;
		this.dX=0.015*4;//default movement
		this.dY=-0.015;//default
		this.bounceX=function(){
			this.dX=-this.dX;
		}
		this.bounceY=function(){
			this.dY=-this.dY;
		}
		this.getAngle=function(){
		//possible errors on some angle check later
			if(dx=0)return 3.14159265359/2;
			if(dx<0 && dy>0)return Math.atan(Math.abs(dy/dx))+3.14159265359/2;
			if(dx>0 && dy<=0)return -Math.atan(Math.abs(dy/dx));
			if(dx<0 && dy<=0)return Math.atan(Math.abs(dy/dx))+3.14159265359;
		}
	}



	//vars
	var mouseString;
	var mX = 0;
	var mY = 0;
	var barX = 1;
	var leftKey = false;
	var rightKey = false;


	var doKeyDown = function (e) {
		//alert();
		if (e.keyCode == 40) {;
		} //down?
		if (e.keyCode == 37) {
			leftKey = true;
		} //Left?
		if (e.keyCode == 39) {
			rightKey = true;
		} //right?
		if (e.keyCode == 88) {;
		} //KEY X
		if (e.keyCode == 90) {;
		} //KEY Z
	};
	var doKeyUp = function (e) {
		//alert();
		if (e.keyCode == 40) {;
		} //down?
		if (e.keyCode == 37) {
			leftKey = false;
		} //Left?
		if (e.keyCode == 39) {
			rightKey = false;
		} //right?
		if (e.keyCode == 88) {;
		} //KEY X
		if (e.keyCode == 90) {;
		} //KEY Z
	};




	//setup
	var scene= new THREE.Scene();
	var game = {scene:null,bricks:null,ball:null,bar:null};
	game.scene=scene;
	var camera = new THREE.PerspectiveCamera(75, window.innerWidth / window.innerHeight, 1, 10);
	var aspect=window.innerWidth / window.innerHeight;
	var renderer = new THREE.WebGLRenderer({
		canvas: document.getElementById("a"),
		antialias: true
	});
	renderer.setSize(window.innerWidth, window.innerHeight);
	renderer.setClearColorHex(0x000000, 1);
	renderer.shadowMapEnabled = true;// SHADOWS
	renderer.shadowMapSoft = true;
	//document.body.appendChild(renderer.domElement);
	
	canvas = document.getElementById('a');
	canvas.addEventListener('keydown', doKeyDown, true);
	canvas.addEventListener('keyup', doKeyUp, true);

	var mousey = function (evt) {
		mX = evt.clientX;
		mY = evt.clientY;
	}

	document.getElementById("a").addEventListener('mousemove', mousey, false);


	//lights
	var spotLight = new THREE.SpotLight(0xFFFFFF,2,100,75*(3.14159265359/180),165);
	var pointLight = new THREE.PointLight(0xFFFFFF,2,10);
	var ambientLight = new THREE.AmbientLight(0x181818);
	spotLight.position.set( 0, 0, 15 );
	//spotLight.lookAt(new Three.Vector3( -4, -0, 0 ));
	spotLight.shadowDarkness = 0.5;
	spotLight.castShadow=true;
	
	spotLight.shadowMapWidth = 1024;
	spotLight.shadowMapHeight = 1024;
	spotLight.shadowCameraNear = 0.1;
	spotLight.shadowCameraFar = 4000;
	spotLight.shadowCameraFov = 40;
	//spotLight.shadowCameraVisible=true;
	 
	scene.add(ambientLight);
	scene.add(spotLight);
	scene.add(pointLight);
	
	var ball=new Ball(game);
	game.ball=ball;
	game.ball.receiveShadow = true;
	game.ball.mesh.castShadow = true;

	var bricks = new Array();
	game.bricks=bricks;
	for(var i=0; i<100; i++)
	{
		var brick=new Brick(game);
		bricks[i]=brick;
		brick.add();
		brick.place(-1.7+0.7*(i%5), 1.95-(Math.floor(i/10))*0.2);
	}
	
	var bar = new THREE.Mesh(
		new THREE.CubeGeometry(0.6, 0.1, 0.1),
		new THREE.MeshLambertMaterial({
			color: 0x995599
		}));
	bar.position.y = -2;
	scene.add(bar)
	bar.castShadow = true;
	var back = new THREE.Mesh(
		new THREE.CubeGeometry(3.83663493989*2*aspect, 3.83663493989*2, 0.01),
		//The above seems to fill perfectly //3.83663493989 is from tan((75/2)*(PI/180))*5
		//75 is from fov degrees 5 is from distance from camera to back
		//tan((75/2)*(PI/180)=0.76732698797
		new THREE.MeshPhongMaterial({
			color: 0x775511
		}));
	back.position.y = 0;
	back.position.z = -1;
	back.receiveShadow = true;
	scene.add(back);



	camera.position.z = 4;

	var render = function () {
	
		if (leftKey) {
			barX = barX - 0.05;
		}
		if (rightKey) {
			barX = barX + 0.05;
		}
		bar.position.x = barX;
		
		spotLight.target=ball.mesh;
		spotLight.position.set(0-ball.position.x,0-ball.position.y,15);
		
		ball.position.x=ball.position.x+ball.dX;
		ball.position.y=ball.position.y+ball.dY;
		if(ball.position.y<-2){if(ball.dY<0){ball.bounceY();}}
		if(ball.position.y>2){if(ball.dY>0){ball.bounceY();}}
		
		if(ball.position.x>2.8){if(ball.dX>0){ball.bounceX();}}
		if(ball.position.x<-2.8){if(ball.dX<0){ball.bounceX();}}
		
		for(var i=0; i<bricks.length; i++)
		{
			brick=bricks[i];
			position=brick.mesh.position;
			if(inRectangle(ball.position.x+ball.dX,ball.position.y+ball.dY,position.x,position.y,0.6,0.1))
			{	
				{
				//ball.bounceY();
				
				brick.remove();
				//ball.bounceX();
				bricks.splice(i,1);//remove?
				};
			}
			//TODO collide bricks
			//if(ball.position.x)
		}
		
		
		
		requestAnimationFrame(render);
		message = 'Mouse position: ' + mX + ',' + mY;
		message = message + " rightKey:" + rightKey;
		
		renderer.render(scene, camera);
	};
	render();

}